{
    "configurations": [
        {
            "name": "Mac",
            "includePath": [
                "${workspaceFolder}/**",
                "${workspaceFolder}/board/CubeMX_Config/Inc/**",
                "${workspaceFolder}/libraries/HAL_Drivers/**",
                "${workspaceFolder}/libraries/HAL_Drivers/CMSIS/Include/**",
                "${workspaceFolder}/libraries/HAL_Drivers/config/f0/**",
                "${workspaceFolder}/libraries/STM32F0xx_HAL/STM32F0xx_HAL_Driver/Inc/**",
                "${workspaceFolder}/libraries/STM32F0xx_HAL/CMSIS/Device/ST/STM32F0xx/Include/**",
                "${workspaceFolder}/rt-thread/include/**",
                "${workspaceFolder}/packages/agile_button-v1.1.1/inc/**"
            ],
            "defines": [],
            "macFrameworkPath": [
                "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/System/Library/Frameworks"
            ],
            "compilerPath": "/usr/bin/clang",
            "cStandard": "c17",
            "cppStandard": "c++17",
            "intelliSenseMode": "macos-clang-arm64"
        }
    ],
    "version": 4
}